--------------------------------------------------------------------------------
-- Weapon Fake Cookie
-- Script by Arne, November 2011
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.fcookie={}

-- Load & Prepare Ressources
cc.fcookie.gfx_wpn=loadgfx("weapons/cookie.bmp")							-- Weapon Image
setmidhandle(cc.fcookie.gfx_wpn)

--------------------------------------------------------------------------------
-- Weapon: Fake Cookie
--------------------------------------------------------------------------------

cc.fcookie.id=addweapon("cc.fcookie","Cookie",cc.fcookie.gfx_wpn)		-- Add Weapon (0 uses)

function cc.fcookie.draw()												-- Draw
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		drawinhand(cc.fcookie.gfx_wpn,8,2,0.6)
end

function cc.fcookie.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Suicide
			playerdamage(0,100000)
			-- Cause damage
			arealdamage(getplayerx(0),getplayery(0),120,90)
			-- Destroy terrain
			terrainexplosion(getplayerx(0),getplayery(0),50,1)
			-- Crater
			grey=math.random(0,40)
			if math.random(0,1)==1 then
				terrainalphaimage(gfx_crater150,getplayerx(0),getplayery(0),math.random(6,9)*0.1,grey,grey,grey)
			else
				terrainalphaimage(gfx_crater175,getplayerx(0),getplayery(0),math.random(6,9)*0.1,grey,grey,grey)
			end
			-- End Turn
			endturn()
		end
	end
end